clang 10.0.0git

Public Member Functions | List of all members
clang::CodeGen::InstrProfStats Class Reference

This class records statistics on instrumentation based profiling. More...

`#include "/work/www-prereleases/10.0.0/rc1/docsbuild/clang/lib/CodeGen/CodeGenModule.h"`

## Public Member Functions
| InstrProfStats ()
void | addVisited (bool MainFile)
| Record that we've visited a function and whether or not that function was in the main source file. More...
void | addMissing (bool MainFile)
| Record that a function we've visited has no profile data. More...
void | addMismatched (bool MainFile)
| Record that a function we've visited has mismatched profile data. More...
bool | hasDiagnostics ()
| Whether or not the stats we've gathered indicate any potential problems. More...
void | reportDiagnostics (DiagnosticsEngine &Diags, StringRef MainFile)
| Report potential problems we've found to `Diags`. More...

## Detailed Description

This class records statistics on instrumentation based profiling.

Definition at line 215 of file CodeGenModule.h.

## Constructor & Destructor Documentation

## ◆ InstrProfStats()

clang::CodeGen::InstrProfStats::InstrProfStats | ( |  | ) |
| inline

Definition at line 223 of file CodeGenModule.h.

## Member Function Documentation

## ◆ addMismatched()

void clang::CodeGen::InstrProfStats::addMismatched | ( | bool | MainFile | ) |
| inline

Record that a function we've visited has mismatched profile data.

Definition at line 240 of file CodeGenModule.h.

## ◆ addMissing()

void clang::CodeGen::InstrProfStats::addMissing | ( | bool | MainFile | ) |
| inline

Record that a function we've visited has no profile data.

Definition at line 234 of file CodeGenModule.h.

## ◆ addVisited()

void clang::CodeGen::InstrProfStats::addVisited | ( | bool | MainFile | ) |
| inline

Record that we've visited a function and whether or not that function was in the main source file.

Definition at line 228 of file CodeGenModule.h.

## ◆ hasDiagnostics()

bool clang::CodeGen::InstrProfStats::hasDiagnostics | ( |  | ) |
| inline

Whether or not the stats we've gathered indicate any potential problems.

Definition at line 242 of file CodeGenModule.h.

Referenced by clang::CodeGen::CodeGenModule::Release().

## ◆ reportDiagnostics()

void InstrProfStats::reportDiagnostics | ( | DiagnosticsEngine & | Diags,
|  | StringRef | MainFile
| ) |  |

Report potential problems we've found to `Diags`.

Definition at line 386 of file CodeGenModule.cpp.

References clang::DiagnosticsEngine::Report().

Referenced by clang::CodeGen::CodeGenModule::Release().

The documentation for this class was generated from the following files:

- lib/CodeGen/CodeGenModule.h
- lib/CodeGen/CodeGenModule.cpp